<form class="{{cssClass}}" autocomplete="off">

    <header class="sheet-header">
        <img src="{{item.img}}" data-edit="img" title="{{item.name}}"/>
        <div class="header-fields">
            <h1 class="charname"><input name="name" type="text" value="{{item.name}}"
                                        placeholder="{{localize 'HTP.Name'}}"/></h1>
        </div>
    </header>

    <section class="item-body">

        <div>
            <h3>{{localize "HTP.Description"}}</h3>
            {{editor enriched.description target="system.description" button=true owner=owner editable=editable}}
        </div>
        <div>
            <h3>{{localize "HTP.CohortType"}}</h3>

            <div id="cohort-type-list" class="radio-list">
                {{#each cohortTypes as |cohort key|}}
                    {{#multiboxes ../system.cohort_type}}
                        <label>
                            <input type="radio" name="system.cohort_type" value="{{key}}">
                            {{localize (concat 'HTP.' key)}}
                        </label>

                    {{/multiboxes}}
                {{/each}}
                <label class="inline">
                    <input id="cohort-elite" type="checkbox" name="system.elite" value="1" {{checked
                            system.elite}} data-dtype="Boolean">
                    {{localize "HTP.Cohorts.Elite"}}
                </label>
            </div>
        </div>
        <div id="gang-expert-type-selector">
            {{#if (eq system.cohort_type "Gang")}}
                <h3>{{localize "HTP.Cohorts.Gangs.Type"}}</h3>
                <div id="gang-type-boxes" class="flex-horizontal">
                    <select name="system.gang_type" aria-label="{{localize "HTP.Cohorts.Gangs.Type"}}">
                        {{selectOptionsWithLabel gangTypes selected=system.gang_type localize=true}}
                    </select>
                    <div id="selected-gang-description" class="description">
                        {{#with (lookup gangTypes system.gang_type)}}
                            {{localize description}}
                        {{/with}}
                    </div>
                </div>
            {{/if}}

            {{#if (eq system.cohort_type "Expert")}}
                <h3 id="label-expert-type">{{localize "HTP.ExpertType"}}</h3>
                <input type="text" name="system.expert_type" value="{{system.expert_type}}"
                       aria-labelledby="label-expert-type">
            {{/if}}
        </div>
        {{!-- Scale and Quality if attached to Actor --}}
        {{#if system.quality}}
            <div id="quality-scale">
                <h3>{{localize "HTP.ScaleAndQuality"}}</h3>
                <div>{{localize "HTP.Quality"}}: {{system.quality}}</div>
                <div>{{localize "HTP.Scale"}}: {{system.scale}}</div>
            </div>
        {{/if}}
        {{!-- Edges and Flaws --}}
        <div id="edges-flaws">
            <h3>{{localize "HTP.ChooseOneOrTwoEdges"}}</h3>
            <div class="edgeflaw-container flex-vertical">
                <h4>{{localize "HTP.Edges"}}</h4>
                {{> "systems/hack-the-planet/templates/items/parts/edge_flaws.hbs"
                        items=system.edges
                        list=@root.edgeList
                        key="system.edges"
                }}
            </div>

            <div class="edgeflaw-container flex-vertical">
                <h4>{{localize "HTP.Flaws"}}</h4>
                {{> "systems/hack-the-planet/templates/items/parts/edge_flaws.hbs"
                        items=system.flaws
                        list=@root.flawList
                        key="system.flaws"
                }}
            </div>

        </div>

        <div id="cohort-harm">
            <h3>{{localize "HTP.Harm"}}</h3>
            <div id="harm-list" class="radio-list">
                {{#multiboxes system.harm}}
                    {{#each harms as |harm label|}}
                        <label>
                            <input type="radio" name="system.harm" value="{{harm.value}}">
                            {{localize (concat "HTP.Harm" label)}}
                        </label>
                    {{/each}}
                {{/multiboxes}}
            </div>
            <label class="inline">
                <input id="cohort-armor" type="checkbox" name="system.armor" value="1" {{checked
                        system.armor}} data-dtype="Boolean">
                {{localize "HTP.Armor"}}
            </label>
        </div>
    </section>
</form>
